wibble::IteratorMorph< T, W > Struct Template Reference

`#include <iterator.h>`

Inheritance diagram for wibble::IteratorMorph< T, W >:
[legend]
Collaboration diagram for wibble::IteratorMorph< T, W >:
[legend]

## Public Types

typedef W | Wrapped
Public Types inherited from wibble::Morph< IteratorMorph< T, W >, W, IteratorInterface< T > >
typedef W | Wrapped

## Public Member Functions

| IteratorMorph ()
| IteratorMorph (const Wrapped &w)
virtual void | advance ()
virtual T | current () const
Public Member Functions inherited from wibble::Morph< IteratorMorph< T, W >, W, IteratorInterface< T > >
| Morph (const Wrapped &w)
const IteratorMorph< T, W > & | self () const
bool | operator<= (const Morph &o) const
virtual bool | leq (const MorphInterface< IteratorInterface< T > > *_o) const
virtual MorphInterface< IteratorInterface< T > > * | constructCopy (void *where, unsigned int available) const
virtual void | destroy (unsigned int available)
const Wrapped & | wrapped () const
Wrapped & | wrapped ()
virtual | ~Morph ()
Public Member Functions inherited from wibble::MorphBase< W, IteratorInterface< T > >
| MorphBase (const W &w)
EnableIf< IsPolymorphic< _W >, VirtualBase * >::T | virtualBase ()
EnableIf< TNot< IsPolymorphic< _W > >, VirtualBase * >::T | virtualBase ()
virtual VirtualBase * | virtualBase ()
W & | wrapped ()
Public Member Functions inherited from wibble::MorphInterface< IteratorInterface< T > >
virtual | ~MorphInterface ()
virtual bool | leq (const MorphInterface *) const =0
Public Member Functions inherited from wibble::IteratorInterface< T >
virtual | ~IteratorInterface ()
Public Member Functions inherited from wibble::mixin::Comparable< Morph< IteratorMorph< T, W >, W, IteratorInterface< T > > >
const Morph< IteratorMorph< T, W >, W, IteratorInterface< T > > & | cmpSelf () const
bool | operator!= (const Morph< IteratorMorph< T, W >, W, IteratorInterface< T > > &o) const
bool | operator== (const Morph< IteratorMorph< T, W >, W, IteratorInterface< T > > &o) const
bool | operator< (const Morph< IteratorMorph< T, W >, W, IteratorInterface< T > > &o) const
bool | operator> (const Morph< IteratorMorph< T, W >, W, IteratorInterface< T > > &o) const
bool | operator>= (const Morph< IteratorMorph< T, W >, W, IteratorInterface< T > > &o) const
Public Member Functions inherited from wibble::MorphAllocator
void * | operator new (size_t bytes, void *where, unsigned available)
void * | operator new (size_t bytes)

## Additional Inherited Members

Protected Attributes inherited from wibble::MorphBase< W, IteratorInterface< T > >
W | m_wrapped

## Member Typedef Documentation

template<typename T , typename W >

typedef W wibble::IteratorMorph< T, W >::Wrapped

## Constructor & Destructor Documentation

template<typename T , typename W >

wibble::IteratorMorph< T, W >::IteratorMorph | ( |  | ) |

inline

template<typename T , typename W >

wibble::IteratorMorph< T, W >::IteratorMorph | ( | const Wrapped & | w | ) |

inline

## Member Function Documentation

template<typename T , typename W >

virtual void wibble::IteratorMorph< T, W >::advance | ( |  | ) |

inline virtual

Implements wibble::IteratorInterface< T >.

References wibble::Morph< IteratorMorph< T, W >, W, IteratorInterface< T > >::wrapped().

template<typename T , typename W >

virtual T wibble::IteratorMorph< T, W >::current | ( |  | ) | const

inline virtual

Implements wibble::IteratorInterface< T >.

References wibble::Morph< IteratorMorph< T, W >, W, IteratorInterface< T > >::wrapped().

The documentation for this struct was generated from the following file:

- iterator.h